Subject: Re: [PATCH net-next V2 08/16] net/devlink: Add E-Switch mode control

From: John Fastabend <[email-masked]>
Date: Thu, 30 Jun 2016 17:45:56 -0700

On 16-06-30 08:23 AM, Saeed Mahameed wrote:
> From: Or Gerlitz <[email-masked]>
> 
> Add the commands to set and show the mode of SRIOV E-Switch, two modes
> are supported:
> 
> * legacy: operating in the "old" L2 based mode (DMAC --> VF vport)
> 
> * switchdev: the E-Switch is referred to as whitebox switch configured
> using standard tools such as tc, bridge, openvswitch etc. To allow
> working with the tools, for each VF, a VF representor netdevice is
> created by the E-Switch manager vendor device driver instance (e.g PF).
> 
> Signed-off-by: Or Gerlitz <[email-masked]>
> Signed-off-by: Saeed Mahameed <[email-masked]>
> ---

OK I can't come up with a better name and Jiri/Or convinced me this
should work ok so this works for me.

One question though going forward. We have devices with multiple
"switches" in them how does this work in a devlink environment? Do
we need some way to enumerate the switches and identify them. In
which case this attribute would be a global setting.

Thanks,
John